Bug 255312 - Dolphin crashs when moving files
Summary: Dolphin crashs when moving files
Status: RESOLVED WORKSFORME
Alias: None
Product: kio
Classification: Unclassified
Component: general (show other bugs)
Version: 4.5
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords: triaged
Depends on:
Blocks:
 
Reported: 2010-10-26 14:04 UTC by gunjam
Modified: 2018-10-27 02:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description gunjam 2010-10-26 14:04:42 UTC
Application: dolphin (1.5)
KDE Platform Version: 4.5.2 (KDE 4.5.2)
Qt Version: 4.7.0
Operating System: Linux 2.6.35-22-generic x86_64
Distribution: Ubuntu 10.10

-- Information about the crash:
- What I was doing when the application crashed:

I had 2 tabs open, and I was dragging files from one tab to the other, 600mb files from my Downloads directory to a folder in my Dropbox, one file at a time. Dolphin crashed just before the file transfer completed 2 out 3 of the times.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Dolphin (dolphin), signal: Aborted
[Current thread is 1 (Thread 0x7f1e7de1a760 (LWP 12873))]

Thread 2 (Thread 0x7f1e27ccc710 (LWP 13119)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f1e5d581262 in ?? () from /usr/lib/libvlccore.so.4
#2  0x00007f1e77876971 in start_thread (arg=<value optimized out>) at pthread_create.c:304
#3  0x00007f1e7d70891d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f1e7de1a760 (LWP 12873)):
[KCrash Handler]
#6  0x00007f1e7d655ba5 in raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007f1e7d6596b0 in abort () at abort.c:92
#8  0x00007f1e7d68f43b in __libc_message (do_abort=<value optimized out>, fmt=<value optimized out>) at ../sysdeps/unix/sysv/linux/libc_fatal.c:189
#9  0x00007f1e7d6994b6 in malloc_printerr (action=3, str=0x7f1e7d76d080 "double free or corruption (out)", ptr=<value optimized out>) at malloc.c:6283
#10 0x00007f1e7d69fc83 in __libc_free (mem=<value optimized out>) at malloc.c:3738
#11 0x00007f1e79e58847 in deleteNode (this=0xe17b60, it=...) at ../../include/QtCore/../../src/corelib/tools/qhash.h:508
#12 erase (this=0xe17b60, it=...) at ../../include/QtCore/../../src/corelib/tools/qhash.h:837
#13 QDBusConnectionPrivate::disconnectSignal (this=0xe17b60, it=...) at qdbusintegrator.cpp:2134
#14 0x00007f1e79e59183 in QDBusConnectionPrivate::objectDestroyed (this=0xe17b60, obj=0x1f48600) at qdbusintegrator.cpp:1144
#15 0x00007f1e79e99d1c in QDBusConnectionPrivate::qt_metacall (this=0xe17b60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbd6313e0) at .moc/release-shared/moc_qdbusconnection_p.cpp:101
#16 0x00007f1e79b1cb27 in QMetaObject::activate (sender=0x1f48600, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#17 0x00007f1e79b1d06f in QObject::destroyed (this=0x3249, _t1=0x1f48600) at .moc/release-shared/moc_qobject.cpp:149
#18 0x00007f1e79b1dfd7 in QObject::~QObject (this=<value optimized out>, __in_chrg=<value optimized out>) at kernel/qobject.cpp:842
#19 0x00007f1e7b5e4b53 in OrgKdeJobViewV2Interface::~OrgKdeJobViewV2Interface (this=0x3249, __in_chrg=<value optimized out>) at jobviewifacev2.cpp:25
#20 0x00007f1e7b4861ba in KUiServerJobTracker::unregisterJob (this=<value optimized out>, job=0x1f367f0) at ../../kdeui/jobs/kuiserverjobtracker.cpp:155
#21 0x00007f1e7a1d79d5 in KJobTrackerInterface::qt_metacall (this=0x18733d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbd6316c0) at ./kjobtrackerinterface.moc:96
#22 0x00007f1e7b483ee0 in KUiServerJobTracker::qt_metacall (this=0x3249, _c=12873, _id=6, _a=0xffffffffffffffff) at ./kuiserverjobtracker.moc:86
#23 0x00007f1e79b1cb27 in QMetaObject::activate (sender=0x1f367f0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#24 0x00007f1e7a1d58af in KJob::finished (this=0x3249, _t1=0x1f367f0) at ./kjob.moc:173
#25 0x00007f1e7a1d59e5 in KJob::emitResult (this=0x1f367f0) at ../../kdecore/jobs/kjob.cpp:310
#26 0x00007f1e7b95f29d in KIO::CopyJob::emitResult (this=0x1f367f0) at ../../kio/kio/copyjob.cpp:1686
#27 0x00007f1e7b95f704 in KIO::CopyJobPrivate::setNextDirAttribute (this=0x206b9a0) at ../../kio/kio/copyjob.cpp:1658
#28 0x00007f1e7b960e17 in KIO::CopyJobPrivate::copyNextFile (this=0x206b9a0) at ../../kio/kio/copyjob.cpp:1586
#29 0x00007f1e7b961a4c in KIO::CopyJobPrivate::slotResultCopyingFiles (this=<value optimized out>, job=<value optimized out>) at ../../kio/kio/copyjob.cpp:1276
#30 0x00007f1e7b95e967 in KIO::CopyJob::qt_metacall (this=0x1f367f0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbd631d60) at ./copyjob.moc:121
#31 0x00007f1e79b1cb27 in QMetaObject::activate (sender=0x20ad660, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#32 0x00007f1e7a1d5752 in KJob::result (this=0x3249, _t1=0x20ad660) at ./kjob.moc:194
#33 0x00007f1e7a1d59f0 in KJob::emitResult (this=0x20ad660) at ../../kdecore/jobs/kjob.cpp:312
#34 0x00007f1e7b9947ab in KIO::FileCopyJob::slotResult (this=0x20ad660, job=0x1fd6f40) at ../../kio/kio/job.cpp:2333
#35 0x00007f1e7b992640 in KIO::FileCopyJob::qt_metacall (this=0x20ad660, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbd631f00) at ./jobclasses.moc:721
#36 0x00007f1e79b1cb27 in QMetaObject::activate (sender=0x1fd6f40, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#37 0x00007f1e7a1d5752 in KJob::result (this=0x3249, _t1=0x1fd6f40) at ./kjob.moc:194
#38 0x00007f1e7a1d59f0 in KJob::emitResult (this=0x1fd6f40) at ../../kdecore/jobs/kjob.cpp:312
#39 0x00007f1e7b98f2d3 in KIO::SimpleJob::slotFinished (this=0x1fd6f40) at ../../kio/kio/job.cpp:525
#40 0x00007f1e7b98d3b1 in KIO::SimpleJob::qt_metacall (this=0x1fd6f40, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbd632160) at ./jobclasses.moc:171
#41 0x00007f1e7b98d490 in KIO::DirectCopyJob::qt_metacall (this=0x3249, _c=12873, _id=6, _a=0xffffffffffffffff) at ./job_p.moc:157
#42 0x00007f1e79b1cb27 in QMetaObject::activate (sender=0x1e6b7c0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#43 0x00007f1e7ba3f41e in KIO::SlaveInterface::dispatch (this=0x1e6b7c0, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:175
#44 0x00007f1e7ba3c453 in KIO::SlaveInterface::dispatch (this=0x1e6b7c0) at ../../kio/kio/slaveinterface.cpp:91
#45 0x00007f1e7ba2fdf6 in KIO::Slave::gotInput (this=0x1e6b7c0) at ../../kio/kio/slave.cpp:347
#46 0x00007f1e7ba2ffdc in KIO::Slave::qt_metacall (this=0x1e6b7c0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbd6325c0) at ./slave.moc:82
#47 0x00007f1e79b1cb27 in QMetaObject::activate (sender=0x207a220, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0xffffffffffffffff) at kernel/qobject.cpp:3280
#48 0x00007f1e7b95bf57 in KIO::ConnectionPrivate::dequeue (this=0x17f9580) at ../../kio/kio/connection.cpp:82
#49 0x00007f1e7b95c07d in KIO::Connection::qt_metacall (this=0x207a220, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x1fd94a0) at ./connection.moc:79
#50 0x00007f1e79b16bde in QObject::event (this=0x207a220, e=0x3249) at kernel/qobject.cpp:1219
#51 0x00007f1e7a735fdc in QApplicationPrivate::notify_helper (this=0xe262c0, receiver=0x207a220, e=0x20792e0) at kernel/qapplication.cpp:4396
#52 0x00007f1e7a73baed in QApplication::notify (this=0x7fffbd6330d0, receiver=0x207a220, e=0x20792e0) at kernel/qapplication.cpp:4277
#53 0x00007f1e7b4894d6 in KApplication::notify (this=0x7fffbd6330d0, receiver=0x207a220, event=0x20792e0) at ../../kdeui/kernel/kapplication.cpp:310
#54 0x00007f1e79b04cdc in QCoreApplication::notifyInternal (this=0x7fffbd6330d0, receiver=0x207a220, event=0x20792e0) at kernel/qcoreapplication.cpp:732
#55 0x00007f1e79b07c22 in sendEvent (receiver=0x0, event_type=<value optimized out>, data=0xdfd350) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#56 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0xdfd350) at kernel/qcoreapplication.cpp:1373
#57 0x00007f1e79b31653 in sendPostedEvents (s=0xe299e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#58 postEventSourceDispatch (s=0xe299e0) at kernel/qeventdispatcher_glib.cpp:277
#59 0x00007f1e752ea342 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#60 0x00007f1e752ee2a8 in ?? () from /lib/libglib-2.0.so.0
#61 0x00007f1e752ee45c in g_main_context_iteration () from /lib/libglib-2.0.so.0
#62 0x00007f1e79b31193 in QEventDispatcherGlib::processEvents (this=0xdfce60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:415
#63 0x00007f1e7a7e8a4e in QGuiEventDispatcherGlib::processEvents (this=0x3249, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#64 0x00007f1e79b03a02 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#65 0x00007f1e79b03dec in QEventLoop::exec (this=0x7fffbd633010, flags=) at kernel/qeventloop.cpp:201
#66 0x00007f1e79b07ebb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#67 0x00007f1e7d9ee90f in kdemain () from /usr/lib/kde4/libkdeinit/libkdeinit4_dolphin.so
#68 0x00007f1e7d640d8e in __libc_start_main (main=<value optimized out>, argc=<value optimized out>, ubp_av=<value optimized out>, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffbd6335e8) at libc-start.c:226
#69 0x0000000000400659 in _start ()

This bug may be a duplicate of or related to bug 250441.

Possible duplicates by query: bug 253841, bug 253342, bug 251386, bug 250441, bug 249953.

Reported using DrKonqi
Comment 1 Dawit Alemayehu 2014-05-02 12:01:42 UTC
Is this crash reproducible in the latest versions of KDE, v4.12 or higher?
Comment 2 Andrew Crouthamel 2018-09-25 03:52:59 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 15 days. Please provide the requested information as soon as possible and set the bug status as REPORTED. Due to regular bug tracker maintenance, if the bug is still in NEEDSINFO status with no change in 30 days, the bug will be closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

If you have already provided the requested information, please set the bug status as REPORTED so that the KDE team knows that the bug is ready to be confirmed.

Thank you for helping us make KDE software even better for everyone!
Comment 3 Andrew Crouthamel 2018-10-27 02:47:00 UTC
Dear Bug Submitter,

This bug has been in NEEDSINFO status with no change for at least 30 days. The bug is now closed as RESOLVED > WORKSFORME due to lack of needed information.

For more information about our bug triaging procedures please read the wiki located here: https://community.kde.org/Guidelines_and_HOWTOs/Bug_triaging

Thank you for helping us make KDE software even better for everyone!